Ongoing Monitoring
Register names via API, get notifications from webhooks.
The Ongoing Monitoring API is a comprehensive solution that enables businesses to proactively monitor their customers against dilisense's sanction, PEP, and criminal watchlist databases. This API provides a convenient and efficient way to register names of individuals and entities and receive real-time notifications if there are changes to the risk profiles (e.g., a name was found, removed or any attributes associated with that name were updated).
Usage. The registerIndividual, registerEntity and removeSearchProfile calls are free of charge and do not count towards the usage of the AML Screening API. Ongoing Monitoring is billed based on the average number of active search profiles during a month.
Reconciliation
For security reasons we do not offer an endpoint that returns all registered search profiles and their details. The usage endpoint returns the number of currently registered search profiles as ongoing_monitoring_profiles_registered, which you can reconcile against the search profiles tracked in your own system.
Register an entity for monitoring
The registerEntity endpoint allows clients to register an entity's name to be monitored against dilisense's database, and receive notifications if any matches are found from that point in time onwards.
Register an individual for monitoring
The registerIndividual endpoint allows clients to register an individual's name to be monitored against dilisense's database, and receive notifications if any matches are found from that point in time onwards.
Remove a search profile
The removeSearchProfile endpoint allows clients to remove a search profile that was previously registered with the Ongoing Monitoring API, based on the profile_id provided in the request parameters.
Send a test webhook notification
Once the webhook is configured, you can trigger a test notification to your configured webhook URL at any time in order to verify your integration. A sample ADD notification with the given profile_id is sent.
Receive a match notification
The Ongoing Monitoring API provides a webhook-based notification system that enables clients to receive real-time alerts when a change in a search profile is found in any of the screening lists. The URL should be publicly accessible and capable of handling HTTP POST requests. We will ask you for the webhook URL during the onboarding process.